import spacy

nlp = spacy.load('en')
doc = nlp('In 1982, Mark drove his car from Los Angeles to Las Vegas')

#nlp = spacy.load('it', vectors=False)
#doc = nlp(u'Bob ha comprato la pizza per Alice')

for sent in doc.sents:
     for i, word in enumerate(sent):
         if word.head is word:
             head_idx = 0
         else:
            head_idx = doc[i].head.i+1
            if head_idx == i + 1:
                head_idx = 0

         entity_tag = word.ent_type_
         if len(entity_tag) == 0:
             entity_tag = "O"

         print("%d\t%s\t%s\t%s\t%s\t%s\t%d"%(i+1, word, word.lemma_, word.tag_,
             entity_tag, word.dep_, head_idx))
